// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : main.c
// Author        : xianfeng.du
// Created On    : 2022-06-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "ucp_printf.h"
#include "pet_rfm_spu1_top.h"
#include "msg_transfer_queue.h"
#include "log_client.h"
#include "ucp_utility.h"
#include "spu_shell.h"
#include "pet_rfm_spu1_oam.h"

int32_t main(int32_t argc, char* argv[])
{
    UCP_PRINT_EMPTY("Hello world from PET RFM SPU1,coreId[0x%x]", get_core_id());
    debug_write(DBG_DDR_COMMON_IDX(get_core_id(), 0), PLATFORM_BUILD_DATA);

    spu_log_client_init();

    pet_rfm_spu1_drv_init();

    pet_rfm_spu1_msg_transfer_init();

    spu_oam_init();

    while(1) {
        msg_transfer_queue_polling();
        msg_transfer_enqueue();
        spu_shell_task();
        //msg_transfer_queue_recfg();
        //heart_beat_write();
    }

    return 0;
}


