#ifndef _HW_GPIO_H_
#define _HW_GPIO_H_

#include "dw_apb_gpio.h"

// ctrl pa/lna
//                                           rx off                                                                  tx on
#define   TxOn()     {GPIO1_SWPORTB_DR |= (GPIO_Pin_17|GPIO_Pin_16|GPIO_Pin_19|GPIO_Pin_18); GPIO1_SWPORTB_DR &= (~(GPIO_Pin_13|GPIO_Pin_12|GPIO_Pin_15|GPIO_Pin_14));}
//                                           tx off
#define   TxOff()    {GPIO1_SWPORTB_DR |= (GPIO_Pin_13|GPIO_Pin_12|GPIO_Pin_15|GPIO_Pin_14); }


//                                            tx off                                            rx on
#define   RxOn()     {GPIO1_SWPORTB_DR |= (GPIO_Pin_13|GPIO_Pin_12|GPIO_Pin_15|GPIO_Pin_14); GPIO1_SWPORTB_DR &= (~(GPIO_Pin_17|GPIO_Pin_16|GPIO_Pin_19|GPIO_Pin_18));}
//                                            rx off
#define   RxOff()    {GPIO1_SWPORTB_DR |= (GPIO_Pin_17|GPIO_Pin_16|GPIO_Pin_19|GPIO_Pin_18); }

void hw_gpio_init();

void rfm1_set_trigger_high();

void rfm1_set_trigger_low();


#endif

