#include "hw_gpio.h"

#include "dw_apb_gpio.h"
#include "ucp_utility.h"
#include "ucp_param.h"

void hw_gpio_init()
{
	do_write(RF_LVDS_PMUX1_REG_ADDR, (do_read_volatile(RF_LVDS_PMUX1_REG_ADDR)|0x000F0000));	// pinmux, GPIO1B25 and GPIO1B24, gpio func, 0x3
	do_write(GPIO1B_DIR_REG_ADDR, (do_read_volatile(GPIO1B_DIR_REG_ADDR)|(BIT25|BIT19|BIT18|BIT17|BIT16|BIT15|BIT14|BIT13|BIT12)));				// GPIO1B25, output, 10ms trigger for phy
}

void rfm1_set_trigger_high()
{
	do_write(GPIO1B_DATA_REG_ADDR, (do_read_volatile(GPIO1B_DATA_REG_ADDR)|BIT25)); // GPIO1B25, high
}

void rfm1_set_trigger_low()
{
	do_write(GPIO1B_DATA_REG_ADDR, (do_read_volatile(GPIO1B_DATA_REG_ADDR)&(~(BIT25)))); // GPIO1B25, low
}


