#include "ape_ecpri_timer.h"
#include "ucp_drv_common.h"
#include "ucp_ecpri.h"
#include "ucp_param.h"
#include "mtimer_com.h"
#include "ape_cnt.h"
#include "ucp_utility.h"
#include "ucp_printf.h"
#include "phy_para.h"
#include "stc_timer.h"
#include "smartos.h"
#include "ucp_mtimer.h"
#include "ape_mtimer.h"

extern void osp_timer_call_task();

extern stPhyScsPara* phyPara;
extern stSfnPara gCellSfnPara[2];
extern stStcTimerPara gStcTimerPara;

void set_ecpri_timer_ape_int(void)
{
	int32_t apeId = get_core_id();
	// tx slot
	uint32_t intNum = APC_ECPRI_SUB_INTR2;
	int32_t ret = smart_irq_request(intNum, isr_ecpri_ape_slot_offset);
	if (0 != ret)
	{
		UCP_PRINT_ERROR("attach int num: 0x%x error. errno = 0x%x. \r\n", intNum, ret);
		debug_write(DBG_DDR_ERR_IDX(apeId, 32), ret);
	}

//	int tmrId = ECPRI_TMR_APE0_TXSLOT + (apeId<<1);
//	UCP_PRINT_LOG("intNum = 0x%x, int set val: 0x%x. \r\n", intNum, (1<<tmrId) | (1<<(tmrId+1)));
}

// temp to be deleted
//int32_t gApeSlotIntCnt2 = 0;
//int32_t gApeSlotCallCnt2 = 0;
//uint32_t lastTxStcCnt2 = 0;
//uint32_t nowTxStcCnt2 = 0;
void isr_ecpri_ape_slot_offset(void)
{
	mtimer_ape_slot_callback(MTIMER_ECPRI_ID);
}