//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape1_recv_task.s.c
// Author        : 
// Created On    : 2022-10-24
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------
#include "ucp_utility.h"

uint32_t g_u32_recv_num = 0;
uint32_t g_u32_recv_by_ape_num = 0;

void ape1_recv_task(uint32_t addr, uint32_t size)
{
    uint32_t ape_id = get_core_id();
    debug_write(DBG_DDR_COMMON_IDX(ape_id, 13), ++g_u32_recv_num);
    debug_write(DBG_DDR_COMMON_IDX(ape_id, 14), addr);
    debug_write(DBG_DDR_COMMON_IDX(ape_id, 15), size);
    return ;
}

void ape1_recvbyape_task(uint32_t addr, uint32_t size)
{
    uint32_t ape_id = get_core_id();
    debug_write(DBG_DDR_COMMON_IDX(ape_id, 16), ++g_u32_recv_by_ape_num);
    return ;
}


